Solve the Vulnerability issue PM32184, without install a new Java SDK

Technote (troubleshooting)


Problem(Abstract)

Installation of the Java JDK to WSAS JDK V6.1.0.33 (1.5 SR12) solve the PM32184 but introduced a new problem about renewal of the certificate on the Broker server

Symptom

The remote agent are not able to connect the Broker 1.1 and 1.2 server.


Environment

Aix with broker 1.1 and 1.2

Resolving the problem

To solve the problem you need to apply the only Java APAR IZ94331

To install the apar IZ94331 you have to do:

1) install the "Update Installer"

2) download the jar file about the fix IZ94331

You can find the "Update Installer" here :
http://www.ibm.com/developerworks/java/jdk/alerts/updateinstaller.html

You can find the fix for IZ94331 , here :
ftp://ftp.software.ibm.com/software/java/support/tools/updateinstaller/IZ94331_FIX_1.jar

You can found more information in this link, please BACKUP manually your
server before any changing:

http://www.ibm.com/developerworks/java/jdk/alerts/cve-2010-4476.html

To test if the vulnerability if solved ( or to know if some other system is affect by it ) you can

1) download this jar file:
ftp://ftp.software.ibm.com/software/java/support/tools/updateinstaller/ParseDoubleTest.jar
2) run this command:
java -jar ParseDoubleTest.jar

you will see once of these two message:
Test succeeded
or
Test failed


Rate this page:

(0 users)Average rating

Add comments

Document information


More support for:

Tivoli Dynamic Workload Broker

Software version:

1.1, 1.2

Operating system(s):

AIX

Reference #:

1617670

Modified date:

2013-05-08

Translate my page

Machine Translation

Content navigation